Module | Win32::Resolv
In: | Win32API/lib/win32/resolv.rb

### Methods

get_hosts_path get_resolv_info

### Constants

API | = | Registry::API

### Public Class methods

get_hosts_path()

[Source]

    # File Win32API/lib/win32/resolv.rb, line 12
        def self.get_hosts_path
          path = get_hosts_dir
          path = File.join(path.gsub(/\\/, File::SEPARATOR), 'hosts')
          File.exist?(path) ? path : nil
        end

get_resolv_info()

[Source]

    # File Win32API/lib/win32/resolv.rb, line 18
        def self.get_resolv_info
          search, nameserver = get_info
          if search.empty?
            search = nil
          else
            search.delete("")
            search.uniq!
          end
          if nameserver.empty?
            nameserver = nil
          else
            nameserver.delete("")
            nameserver.delete("0.0.0.0")
            nameserver.uniq!
          end
          [ search, nameserver ]
        end

[Validate]